io.agora.rtc

## Class LiveTranscoding

- java.lang.Object
- - io.agora.rtc.LiveTranscoding

-     public class LiveTranscoding
      extends java.lang.Object

  Configuration for live streaming transcoding.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `audioBitrate` Audio bitrate (bps)
    `private int` | `audioChannels` Number of audio channels
    `private int` | `audioCodecProfile` Audio codec profile
    `private int` | `audioSampleRate` Audio sample rate (Hz)
    `private int` | `backgroundColor` Background color
    `private RtcImage` | `backgroundImage` Background image
    `private int` | `backgroundImageCount` Number of background images
    `private int` | `height` Video height (px)
    `private int` | `lowLatency` Low latency mode
    `private java.lang.String` | `metadata` Metadata
    `private java.lang.String` | `transcodingExtraInfo` Extra transcoding information
    `private TranscodingUser` | `transcodingUsers` Transcoding user configuration
    `private int` | `userCount` Number of users
    `private int` | `videoBitrate` Video bitrate (bps)
    `private int` | `videoCodecProfile` Video codec profile
    `private int` | `videoFrameRate` Video frame rate (fps)
    `private int` | `videoGop` Video GOP
    `private RtcImage` | `watermark` Watermark image
    `private int` | `watermarkCount` Number of watermarks
    `private int` | `width` Video width (px)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiveTranscoding()` Default constructor for LiveTranscoding.
    `LiveTranscoding(int width, int height, int videoBitrate, int videoFrameRate, int lowLatency, int videoGop, int videoCodecProfile, int backgroundColor, int userCount, TranscodingUser transcodingUsers, java.lang.String transcodingExtraInfo, java.lang.String metadata, RtcImage watermark, int watermarkCount, RtcImage backgroundImage, int backgroundImageCount, int audioSampleRate, int audioBitrate, int audioChannels, int audioCodecProfile)` Constructs LiveTranscoding with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAudioBitrate()` Gets the audio bitrate (bps).
    `int` | `getAudioChannels()` Gets the number of audio channels.
    `int` | `getAudioCodecProfile()` Gets the audio codec profile.
    `int` | `getAudioSampleRate()` Gets the audio sample rate (Hz).
    `int` | `getBackgroundColor()` Gets the background color.
    `RtcImage` | `getBackgroundImage()` Gets the background image.
    `int` | `getBackgroundImageCount()` Gets the number of background images.
    `int` | `getHeight()` Gets the video height (px).
    `int` | `getLowLatency()` Gets the low latency mode.
    `java.lang.String` | `getMetadata()` Gets the metadata.
    `java.lang.String` | `getTranscodingExtraInfo()` Gets the extra transcoding information.
    `TranscodingUser` | `getTranscodingUsers()` Gets the transcoding user configuration.
    `int` | `getUserCount()` Gets the number of users.
    `int` | `getVideoBitrate()` Gets the video bitrate (bps).
    `int` | `getVideoCodecProfile()` Gets the video codec profile.
    `int` | `getVideoFrameRate()` Gets the video frame rate (fps).
    `int` | `getVideoGop()` Gets the video GOP.
    `RtcImage` | `getWatermark()` Gets the watermark image.
    `int` | `getWatermarkCount()` Gets the number of watermarks.
    `int` | `getWidth()` Gets the video width (px).
    `void` | `setAudioBitrate(int audioBitrate)` Sets the audio bitrate (bps).
    `void` | `setAudioChannels(int audioChannels)` Sets the number of audio channels.
    `void` | `setAudioCodecProfile(int audioCodecProfile)` Sets the audio codec profile.
    `void` | `setAudioSampleRate(int audioSampleRate)` Sets the audio sample rate (Hz).
    `void` | `setBackgroundColor(int backgroundColor)` Sets the background color.
    `void` | `setBackgroundImage(RtcImage backgroundImage)` Sets the background image.
    `void` | `setBackgroundImageCount(int backgroundImageCount)` Sets the number of background images.
    `void` | `setHeight(int height)` Sets the video height (px).
    `void` | `setLowLatency(int lowLatency)` Sets the low latency mode.
    `void` | `setMetadata(java.lang.String metadata)` Sets the metadata.
    `void` | `setTranscodingExtraInfo(java.lang.String transcodingExtraInfo)` Sets the extra transcoding information.
    `void` | `setTranscodingUsers(TranscodingUser transcodingUsers)` Sets the transcoding user configuration.
    `void` | `setUserCount(int userCount)` Sets the number of users.
    `void` | `setVideoBitrate(int videoBitrate)` Sets the video bitrate (bps).
    `void` | `setVideoCodecProfile(int videoCodecProfile)` Sets the video codec profile.
    `void` | `setVideoFrameRate(int videoFrameRate)` Sets the video frame rate (fps).
    `void` | `setVideoGop(int videoGop)` Sets the video GOP.
    `void` | `setWatermark(RtcImage watermark)` Sets the watermark image.
    `void` | `setWatermarkCount(int watermarkCount)` Sets the number of watermarks.
    `void` | `setWidth(int width)` Sets the video width (px).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### width

          private int width

      Video width (px)

    - #### height

          private int height

      Video height (px)

    - #### videoBitrate

          private int videoBitrate

      Video bitrate (bps)

    - #### videoFrameRate

          private int videoFrameRate

      Video frame rate (fps)

    - #### lowLatency

          private int lowLatency

      Low latency mode

    - #### videoGop

          private int videoGop

      Video GOP

    - #### videoCodecProfile

          private int videoCodecProfile

      Video codec profile

    - #### backgroundColor

          private int backgroundColor

      Background color

    - #### userCount

          private int userCount

      Number of users

    - #### transcodingUsers

          private TranscodingUser transcodingUsers

      Transcoding user configuration

    - #### transcodingExtraInfo

          private java.lang.String transcodingExtraInfo

      Extra transcoding information

    - #### metadata

          private java.lang.String metadata

      Metadata

    - #### watermark

          private RtcImage watermark

      Watermark image

    - #### watermarkCount

          private int watermarkCount

      Number of watermarks

    - #### backgroundImage

          private RtcImage backgroundImage

      Background image

    - #### backgroundImageCount

          private int backgroundImageCount

      Number of background images

    - #### audioSampleRate

          private int audioSampleRate

      Audio sample rate (Hz)

    - #### audioBitrate

          private int audioBitrate

      Audio bitrate (bps)

    - #### audioChannels

          private int audioChannels

      Number of audio channels

    - #### audioCodecProfile

          private int audioCodecProfile

      Audio codec profile

  - ### Constructor Detail

    - #### LiveTranscoding

          public LiveTranscoding()

      Default constructor for LiveTranscoding.

    - #### LiveTranscoding

          public LiveTranscoding(int width,
                                 int height,
                                 int videoBitrate,
                                 int videoFrameRate,
                                 int lowLatency,
                                 int videoGop,
                                 int videoCodecProfile,
                                 int backgroundColor,
                                 int userCount,
                                 TranscodingUser transcodingUsers,
                                 java.lang.String transcodingExtraInfo,
                                 java.lang.String metadata,
                                 RtcImage watermark,
                                 int watermarkCount,
                                 RtcImage backgroundImage,
                                 int backgroundImageCount,
                                 int audioSampleRate,
                                 int audioBitrate,
                                 int audioChannels,
                                 int audioCodecProfile)

      Constructs LiveTranscoding with all parameters.
      Parameters:
        `width` - Video width (px)
        `height` - Video height (px)
        `videoBitrate` - Video bitrate (bps)
        `videoFrameRate` - Video frame rate (fps)
        `lowLatency` - Low latency mode
        `videoGop` - Video GOP
        `videoCodecProfile` - Video codec profile
        `backgroundColor` - Background color
        `userCount` - Number of users
        `transcodingUsers` - Transcoding user configuration
        `transcodingExtraInfo` - Extra transcoding information
        `metadata` - Metadata
        `watermark` - Watermark image
        `watermarkCount` - Number of watermarks
        `backgroundImage` - Background image
        `backgroundImageCount` - Number of background images
        `audioSampleRate` - Audio sample rate (Hz)
        `audioBitrate` - Audio bitrate (bps)
        `audioChannels` - Number of audio channels
        `audioCodecProfile` - Audio codec profile

  - ### Method Detail

    - #### getWidth

          public int getWidth()

      Gets the video width (px).
      Returns:
        Video width (px)

    - #### setWidth

          public void setWidth(int width)

      Sets the video width (px).
      Parameters:
        `width` - Video width (px)

    - #### getHeight

          public int getHeight()

      Gets the video height (px).
      Returns:
        Video height (px)

    - #### setHeight

          public void setHeight(int height)

      Sets the video height (px).
      Parameters:
        `height` - Video height (px)

    - #### getVideoBitrate

          public int getVideoBitrate()

      Gets the video bitrate (bps).
      Returns:
        Video bitrate (bps)

    - #### setVideoBitrate

          public void setVideoBitrate(int videoBitrate)

      Sets the video bitrate (bps).
      Parameters:
        `videoBitrate` - Video bitrate (bps)

    - #### getVideoFrameRate

          public int getVideoFrameRate()

      Gets the video frame rate (fps).
      Returns:
        Video frame rate (fps)

    - #### setVideoFrameRate

          public void setVideoFrameRate(int videoFrameRate)

      Sets the video frame rate (fps).
      Parameters:
        `videoFrameRate` - Video frame rate (fps)

    - #### getLowLatency

          public int getLowLatency()

      Gets the low latency mode.
      Returns:
        Low latency mode

    - #### setLowLatency

          public void setLowLatency(int lowLatency)

      Sets the low latency mode.
      Parameters:
        `lowLatency` - Low latency mode

    - #### getVideoGop

          public int getVideoGop()

      Gets the video GOP.
      Returns:
        Video GOP

    - #### setVideoGop

          public void setVideoGop(int videoGop)

      Sets the video GOP.
      Parameters:
        `videoGop` - Video GOP

    - #### getVideoCodecProfile

          public int getVideoCodecProfile()

      Gets the video codec profile.
      Returns:
        Video codec profile

    - #### setVideoCodecProfile

          public void setVideoCodecProfile(int videoCodecProfile)

      Sets the video codec profile.
      Parameters:
        `videoCodecProfile` - Video codec profile

    - #### getBackgroundColor

          public int getBackgroundColor()

      Gets the background color.
      Returns:
        Background color

    - #### setBackgroundColor

          public void setBackgroundColor(int backgroundColor)

      Sets the background color.
      Parameters:
        `backgroundColor` - Background color

    - #### getUserCount

          public int getUserCount()

      Gets the number of users.
      Returns:
        Number of users

    - #### setUserCount

          public void setUserCount(int userCount)

      Sets the number of users.
      Parameters:
        `userCount` - Number of users

    - #### getTranscodingUsers

          public TranscodingUser getTranscodingUsers()

      Gets the transcoding user configuration.
      Returns:
        Transcoding user configuration

    - #### setTranscodingUsers

          public void setTranscodingUsers(TranscodingUser transcodingUsers)

      Sets the transcoding user configuration.
      Parameters:
        `transcodingUsers` - Transcoding user configuration

    - #### getTranscodingExtraInfo

          public java.lang.String getTranscodingExtraInfo()

      Gets the extra transcoding information.
      Returns:
        Extra transcoding information

    - #### setTranscodingExtraInfo

          public void setTranscodingExtraInfo(java.lang.String transcodingExtraInfo)

      Sets the extra transcoding information.
      Parameters:
        `transcodingExtraInfo` - Extra transcoding information

    - #### getMetadata

          public java.lang.String getMetadata()

      Gets the metadata.
      Returns:
        Metadata

    - #### setMetadata

          public void setMetadata(java.lang.String metadata)

      Sets the metadata.
      Parameters:
        `metadata` - Metadata

    - #### getWatermark

          public RtcImage getWatermark()

      Gets the watermark image.
      Returns:
        Watermark image

    - #### setWatermark

          public void setWatermark(RtcImage watermark)

      Sets the watermark image.
      Parameters:
        `watermark` - Watermark image

    - #### getWatermarkCount

          public int getWatermarkCount()

      Gets the number of watermarks.
      Returns:
        Number of watermarks

    - #### setWatermarkCount

          public void setWatermarkCount(int watermarkCount)

      Sets the number of watermarks.
      Parameters:
        `watermarkCount` - Number of watermarks

    - #### getBackgroundImage

          public RtcImage getBackgroundImage()

      Gets the background image.
      Returns:
        Background image

    - #### setBackgroundImage

          public void setBackgroundImage(RtcImage backgroundImage)

      Sets the background image.
      Parameters:
        `backgroundImage` - Background image

    - #### getBackgroundImageCount

          public int getBackgroundImageCount()

      Gets the number of background images.
      Returns:
        Number of background images

    - #### setBackgroundImageCount

          public void setBackgroundImageCount(int backgroundImageCount)

      Sets the number of background images.
      Parameters:
        `backgroundImageCount` - Number of background images

    - #### getAudioSampleRate

          public int getAudioSampleRate()

      Gets the audio sample rate (Hz).
      Returns:
        Audio sample rate (Hz)

    - #### setAudioSampleRate

          public void setAudioSampleRate(int audioSampleRate)

      Sets the audio sample rate (Hz).
      Parameters:
        `audioSampleRate` - Audio sample rate (Hz)

    - #### getAudioBitrate

          public int getAudioBitrate()

      Gets the audio bitrate (bps).
      Returns:
        Audio bitrate (bps)

    - #### setAudioBitrate

          public void setAudioBitrate(int audioBitrate)

      Sets the audio bitrate (bps).
      Parameters:
        `audioBitrate` - Audio bitrate (bps)

    - #### getAudioChannels

          public int getAudioChannels()

      Gets the number of audio channels.
      Returns:
        Number of audio channels

    - #### setAudioChannels

          public void setAudioChannels(int audioChannels)

      Sets the number of audio channels.
      Parameters:
        `audioChannels` - Number of audio channels

    - #### getAudioCodecProfile

          public int getAudioCodecProfile()

      Gets the audio codec profile.
      Returns:
        Audio codec profile

    - #### setAudioCodecProfile

          public void setAudioCodecProfile(int audioCodecProfile)

      Sets the audio codec profile.
      Parameters:
        `audioCodecProfile` - Audio codec profile